Uploaded image for project: 'PDFBox'
  1. PDFBox
  2. PDFBOX-3128

Latest Apache Tika can't be used together with PDFBox 2.0

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Invalid
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      I'm using both Tika and PDFBox in my project and I have upgraded PDFBox to 2.0. I realized after that Tika is using some classes from PDFBox and some of these classes are removed from PDFBox 2.0 such as CryptographyException.

      See code: https://github.com/apache/tika/blob/trunk/tika-parsers/src/main/java/org/apache/tika/parser/pdf/PDFParser.java

      • line 151

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                lehmi Andreas Lehmkühler
                Reporter:
                krillov Krisztian Mangold
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: